/*
Created by Zeuskx
Visit www.datoweb.com
You need jquery
*/

//Slider speed and transition
var sliderSpeedTransition = 500;
var sliderSpeedInterval = 3000;

$(window).on('load', function() {

//Go Up
$('.top').click(function(event) {
	$('html, body').animate({ scrollTop: 0 }, 'medium');
    return false;
});


//Close Alert
$('.alert-close').click(function() {
	$(this).parent().fadeOut('medium', function(){
		$(this).remove();
	});
});


//Menu navigation
$('.navbar-button').click(function() {
	var name = $(this).attr('data-name');

	$('.navbar-list.' + name).slideToggle('fast', function(){
		if( $('.navbar-list.' + name).attr('data') == 'open' ){
		$('.navbar-list.' + name).removeAttr('data');
		$('.navbar-list.' + name).removeAttr('style');
		} else {
		$('.navbar-list.' + name).attr('data','open');
		}
	});

});


//Accordion
$('.accordion .panel-head').click(function() {	
		$('.accordion .panel-body').slideUp('fast');
		$('.accordion .panel-head span').text('+');
		var element = $(this).next();
		var icons = $(this ).find('span');
		var estate = element.attr('style');

		if ( !estate || estate == 'display: none;') {
			element.slideDown('fast');
			icons.text('-');
		}
		else {
			element.slideUp('fast');
			icons.text('+');
		}			
});


//Search form on page
var searchForm = $('html, body').find('.form');
if( searchForm.length > 0 ) {
	formRequired();
}

//Search slider on page
var searchSlider = $('html, body').find('.slider');
if( searchSlider.length > 0 ) {

	sliderLoad();

	var interval = setInterval( function(){
		sliderNext(sliderSpeedTransition);
	}, sliderSpeedInterval );

	$('.slider .slider-control:first').click(function(){
		clearInterval(interval);
		sliderPrev(sliderSpeedTransition);
	});

	$('.slider .slider-control:last').click(function(){
		clearInterval(interval);
		sliderNext(sliderSpeedTransition);
	});

}

});


$(window).scroll(function(){
   if ( $(this).scrollTop() > 500 ) {
        $('.top').fadeIn();
   } else {
        $('.top').fadeOut();
   }
    clearTimeout($.data(this, 'scrollTimer'));
    $.data(this, 'scrollTimer', setTimeout(function() {
        $('.top').fadeOut();
    }, 2000));
});

$(window).resize(function(){
	
	//Refresh slider when exist
	var searchSlider = $('html, body').find('.slider');
	if( searchSlider.length > 0 ) {
		sliderLoad('refresh');
	}

});


//Modal
function modal(idmodal){

	var modal = $('#' + idmodal);
	var modalBg = $('#' + idmodal).next('.modal-bg');
	var styles = $(modal).attr('style');
	
	if( styles != 'display: block;' ){

		$(modalBg).fadeIn('fast');
		$(modal).show();

		if(   $(window).width() >= 650 ){
		//Move effects
		var elem = $(modal);
		var deg = 2;
		var count = 0;
		var interval = setInterval(function(){
		count++;
		elem.css({
                transform: 'translate(-50%, -50%) rotate(' + deg + 'deg)'
            });

		 if( deg == 2 ) deg = -2; else if( deg == -2 ) deg = 2;

		 if( count > 4 ){
		 	elem.css({
                transform: 'translate(-50%, -50%) rotate(' + 0 + 'deg)'
            });
            $(modal).attr('style','display: block;');
		 	clearInterval(interval);
		 }

		 },100);

	}
	
		//Disable scroll
	 //   $('html, body').css({
		//     overflow: 'hidden'
		// });

	} else{
		$(modalBg).fadeOut('fast');
		$(modal).hide();

		//Enable scroll
		// $('html, body').css({
		//     overflow: 'auto'
		// });
	}

}

//Clear Form
function clearForm(idform){
	$('#' + idform)[0].reset();
}


//Required Forms
function formRequired(){

	var required = $('.form-group.required label');
	for (var i = 0; i < required.length; i++) {
		$(required[i]).html( $(required[i]).text() + '<span> *</span>' );
		
		var next = $(required[i]).next();

		var str = next[0];
		var textElement = str.outerHTML;

		var hasText = textElement.indexOf('class="fas');

		if( textElement.indexOf('class="fas') != -1 ){
			$(required[i]).next().next().attr('required', 'required');
		} else {
			$(required[i]).next().attr('required', 'required');
		}

	}

}


// //Slider Load
function sliderLoad(type = ''){
	
	var sliderW = $('.slider').width();
	var count = $('.slider').find('li');
	var total = sliderW * count.length;

	$('.slider ul li').css('width', sliderW + 'px');
	$('.slider ul').css({ width: total, marginLeft: - sliderW });

	if( type != 'refresh' ){
	$('.slider ul li:last-child').prependTo('.slider ul');	
	}
		
}

function sliderNext(speed){
	var sliderW = $('.slider').width();
	$('.slider ul').animate({
	left: - sliderW
	}, speed, function () {
	$('.slider ul li:first-child').appendTo('.slider ul');
	$('.slider ul').css('left', '');
	});
}

function sliderPrev(speed){
	var sliderW = $('.slider').width();
	$('.slider ul').animate({
	left: + sliderW
	}, speed, function () {
	$('.slider ul li:last-child').prependTo('.slider ul');
	$('.slider ul').css('left', '');
	});
}